<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.4  (Linux)">
	<META NAME="AUTHOR" CONTENT="Vincent MAH&Eacute;">
	<META NAME="CREATED" CONTENT="20090331;16525100">
	<META NAME="CHANGEDBY" CONTENT="Vincent MAH&Eacute;">
	<META NAME="CHANGED" CONTENT="20090331;16543200">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Roman No9 L", serif }
		H1.cjk { font-family: "DejaVu LGC Sans" }
		H1.ctl { font-family: "DejaVu LGC Sans" }
		H2 { margin-bottom: 0.21cm }
		H3 { margin-bottom: 0.21cm }
	-->
	</STYLE>
</HEAD>
<BODY LANG="fr-FR" DIR="LTR">
<H1 CLASS="western">Technical Content</H1>
<P STYLE="margin-bottom: 0cm">List of OpenEmbeDD tools</P>
<H2>Generic MDE tools</H2>
<UL>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="https://openembedd.org/public/tools/ATL" TARGET="_self">ATL</A>
	transformation language 
	</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="https://openembedd.org/public/tools/Kermeta" TARGET="_self">Kermeta</A>
	Metamodeling environment 
	</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="https://openembedd.org/public/tools/Topcased" TARGET="_self">Topcased</A>
	modelers 
	</P>
	<LI><P><A HREF="http://www.papyrusuml.org/" TARGET="_self">Papyrus</A>
	UML &amp; profiles modeler</P>
</UL>
<H2><A NAME="RTEtools"></A>Real-Time &amp; Embedded tools</H2>
<H3><A NAME="RTEtools1"></A>RT/E metamodels</H3>
<UL>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="https://openembedd.org/public/tools/MARTE" TARGET="_self">Marte
	UML profile</A> 
	</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="http://www.laas.fr/%7Ebernard/fiacre/2.0/doc.18/fiacre.pdf">Fiacre
	asynchronous pivot metamodel</A> 
	</P>
	<LI><P STYLE="margin-bottom: 0cm">SME: <A HREF="https://openembedd.org/public/tools/Polychrony" TARGET="_self">Polychrony</A>
	metamodel 
	</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="https://openembedd.org/public/tools/SynDEx" TARGET="_self">SynDEx</A>
	metamodel 
	</P>
	<LI><P><A HREF="http://ralyx.inria.fr/2007/Raweb/dart/uid129.html" TARGET="_self">Gaspard2</A>
	profile</P>
</UL>
<H3>Synchronous &amp; GALS tools</H3>
<UL>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="https://openembedd.org/public/tools/Polychrony" TARGET="_self">Polychrony</A>
	tools suite 
	</P>
	<LI><P><A HREF="https://openembedd.org/public/tools/SynDEx" TARGET="_self">SynDEx</A>
	modeler and bridge 
	</P>
</UL>
<UL>
	<LI><P><A HREF="http://ralyx.inria.fr/2007/Raweb/dart/uid129.html" TARGET="_self">Gaspard2</A>
	tool chain 
	</P>
</UL>
<H3>Transformations</H3>
<UL>
	<LI><P>Marte <B>-&gt;</B> Fiacre</P>
	<LI><P>AADL <B>-&gt; </B>Fiacre</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="http://www-verimag.imag.fr/%7Easync/bip2Aadl2Bip2.php">AADL
	<B>-&gt;</B> BIP</A> <I>(not Open Source)</I> 
	</P>
	<LI><P>UML/SDL <B>-&gt; </B>Fiacre</P>
</UL>
<UL>
	<LI><P STYLE="margin-bottom: 0cm">Fiacre <B>-&gt;</B> LOTOS 
	</P>
	<LI><P STYLE="margin-bottom: 0cm">Fiacre <B>-&gt;</B> Tina 
	</P>
	<LI><P STYLE="margin-bottom: 0cm">Marte <B>-&gt;</B> SME</P>
	<LI><P STYLE="margin-bottom: 0cm">Marte <B>-&gt;</B> SynDEx 
	</P>
	<LI><P>SciCOS -&gt; SynDEx</P>
</UL>
<H3>Code generators</H3>
<UL>
	<LI><P STYLE="margin-bottom: 0cm">UML Action <B>-&gt;</B> C 
	</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="https://openembedd.org/public/tools/Polychrony" TARGET="_self">Polychrony</A>
	<B>-&gt;</B> C, C++, Java, SIG, SDX (SynDEx textual format), Lustre</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="http://ralyx.inria.fr/2007/Raweb/dart/uid129.html" TARGET="_self">Gaspard2</A>
	<B>-&gt;</B> VHDL, OpenMP, SystemC, Lustre, OpenMP Fortran 
	</P>
	<LI><P><A HREF="https://openembedd.org/public/tools/CCSL" TARGET="_self">CCSL
	Parser</A> 
	</P>
</UL>
<H3>Bridges with external tools 
</H3>
<UL>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="http://www-verimag.imag.fr/%7Easync/BIP/bip.html" TARGET="_self">BIP</A>
		</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="http://www-persiform.imag.fr/" TARGET="_self">Persiform</A></P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="https://openembedd.org/public/tools/SynDEx" TARGET="_self">Syndex</A>
		</P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="http://www.scicos.org/" TARGET="_self">SciCOS</A></P>
	<LI><P STYLE="margin-bottom: 0cm"><A HREF="http://www.laas.fr/tina/" TARGET="_self">Tina</A>
		</P>
	<LI><P><A HREF="http://www.inrialpes.fr/vasy/cadp" TARGET="_self">CADP</A>
		</P>
</UL>
<P STYLE="margin-bottom: 0cm"><BR>
</P>
</BODY>
</HTML>